import { Application } from 'lisk-sdk';
export interface Options {
    enableHTTPAPIPlugin: boolean;
    enableForgerPlugin: boolean;
    enableMonitorPlugin: boolean;
    enableReportMisbehaviorPlugin: boolean;
}
export declare const getApplication: (genesisBlock: Record<string, unknown>, config: {
    label?: string | undefined;
    version?: string | undefined;
    networkVersion?: string | undefined;
    rootPath?: string | undefined;
    forging?: {
        waitThreshold?: number | undefined;
        delegates?: ({
            readonly address?: string | undefined;
            readonly encryptedPassphrase?: string | undefined;
            readonly hashOnion?: {
                readonly count?: number | undefined;
                readonly distance?: number | undefined;
                readonly hashes?: (string | undefined)[] | undefined;
            } | undefined;
        } | undefined)[] | undefined;
        force?: boolean | undefined;
        defaultPassword?: string | undefined;
    } | undefined;
    network?: {
        port?: number | undefined;
        seedPeers?: ({
            ip?: string | undefined;
            port?: number | undefined;
        } | undefined)[] | undefined;
        hostIp?: string | undefined;
        blacklistedIPs?: (string | undefined)[] | undefined;
        fixedPeers?: ({
            ip?: string | undefined;
            port?: number | undefined;
        } | undefined)[] | undefined;
        whitelistedPeers?: ({
            ip?: string | undefined;
            port?: number | undefined;
        } | undefined)[] | undefined;
        peerBanTime?: number | undefined;
        connectTimeout?: number | undefined;
        ackTimeout?: number | undefined;
        maxOutboundConnections?: number | undefined;
        maxInboundConnections?: number | undefined;
        sendPeerLimit?: number | undefined;
        maxPeerDiscoveryResponseLength?: number | undefined;
        maxPeerInfoSize?: number | undefined;
        wsMaxPayload?: number | undefined;
        advertiseAddress?: boolean | undefined;
        customSchema?: {
            readonly peerInfo?: {
                readonly $id?: string | undefined;
                readonly type?: string | undefined;
                readonly properties?: {
                    [x: string]: {} | undefined;
                } | undefined;
                readonly required?: (string | undefined)[] | undefined;
            } | undefined;
            readonly peerRequestResponse?: {
                readonly $id?: string | undefined;
                readonly type?: string | undefined;
                readonly properties?: {
                    [x: string]: {} | undefined;
                } | undefined;
                readonly required?: (string | undefined)[] | undefined;
            } | undefined;
            readonly nodeInfo?: {
                readonly $id?: string | undefined;
                readonly type?: string | undefined;
                readonly properties?: {
                    [x: string]: {} | undefined;
                } | undefined;
                readonly required?: (string | undefined)[] | undefined;
            } | undefined;
        } | undefined;
    } | undefined;
    logger?: {
        logFileName?: string | undefined;
        fileLogLevel?: string | undefined;
        consoleLogLevel?: string | undefined;
    } | undefined;
    genesisConfig?: {
        [x: string]: {} | undefined;
        bftThreshold?: number | undefined;
        communityIdentifier?: string | undefined;
        blockTime?: number | undefined;
        maxPayloadLength?: number | undefined;
        rewards?: {
            milestones?: (string | undefined)[] | undefined;
            offset?: number | undefined;
            distance?: number | undefined;
        } | undefined;
        minFeePerByte?: number | undefined;
        baseFees?: ({
            moduleID?: number | undefined;
            assetID?: number | undefined;
            baseFee?: string | undefined;
        } | undefined)[] | undefined;
    } | undefined;
    plugins?: {
        [x: string]: {
            [x: string]: {} | undefined;
            readonly loadAsChildProcess?: boolean | undefined;
            readonly alias?: string | undefined;
        } | undefined;
    } | undefined;
    transactionPool?: {
        readonly maxTransactions?: number | undefined;
        readonly maxTransactionsPerAccount?: number | undefined;
        readonly transactionExpiryTime?: number | undefined;
        readonly minEntranceFeePriority?: string | undefined;
        readonly minReplacementFeeDifference?: string | undefined;
    } | undefined;
    rpc?: {
        enable?: boolean | undefined;
        mode?: "ipc" | "ws" | undefined;
        port?: number | undefined;
    } | undefined;
}, options: Options) => Application;
